<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes( 'xhtml' ); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="viewport" content="width=device-width; initial-scale=1.0" />
<title><?php tj_custom_titles(); ?></title>
<?php tj_custom_description(); ?>
<?php tj_custom_keywords(); ?>
<?php tj_custom_canonical(); ?>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/colors/<?php echo get_option('resizable_theme_stylesheet');?>" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/custom.css" />
<?php wp_head(); ?>
<?php if (get_option('resizable_left_sidebar_enable') == 'false') { ?>
	<style>
		#content-loop { width: 100%; }
	</style>
<?php } ?>
</head>
<?php if (is_home() || is_archive() || is_search() ) add_filter('img_caption_shortcode', create_function('$a, $b, $c','return $c;'), 10, 3); ?>
<body <?php body_class(); ?>>

	<div id="wrapper">
		<span id="home-url" name='<?php echo get_template_directory_uri();?>'></span>
		<div class="inner-wrap">
		
			<div id="header">
				<?php if (get_option('resizable_text_logo_enable') == 'on') { ?>
					<div id="text-logo">
						<h1 id="site-title"><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></h1>
						<p id="site-desc"><?php bloginfo('description'); ?></p>
					</div><!-- #text-logo -->
				<?php } else { ?>
					<a href="<?php echo home_url(); ?>"><?php $logo = (get_option('resizable_logo') <> '') ? get_option('resizable_logo') : get_template_directory_uri().'/images/logo.png'; ?><img src="<?php echo $logo; ?>" alt="<?php bloginfo('name'); ?>" id="logo"/></a>
				<?php }?>
				
				<?php if (get_option('resizable_header_ad_enable') == 'on') { ?>
					<div class="header-ad">
						<?php echo get_option('resizable_header_ad_code'); ?>
					</div><!-- .header-ad -->
				<?php } ?>
				<div class="clear"></div>
			</div><!-- #header -->
	
		    <div id="primary-nav">
			    <?php $menuClass = 'nav';
				$menuID = 'primary-navigation';
				$primaryNav = '';
				if (function_exists('wp_nav_menu')) {
					$primaryNav = wp_nav_menu( array( 'theme_location' => 'primary-nav', 'container' => '', 'fallback_cb' => '', 'menu_class' => $menuClass, 'menu_id' => $menuID, 'echo' => false ) );
				};
				if ($primaryNav == '') { ?>
					<ul id="<?php echo $menuID; ?>" class="<?php echo $menuClass; ?>">
				<?php if (get_option('resizable_home_link') == 'on') { ?>
						<li class="<?php if(!is_archive()) echo('first');?>"><a href="<?php bloginfo('url'); ?>"><?php _e('Home', 'themejunkie') ?></a></li>
				<?php } ?>						
						<?php show_page_menu($menuClass,false,false); ?>
					</ul>
				<?php }	else echo($primaryNav); ?>

				<div id="search">
					<form method="get" id="header-search" action="<?php bloginfo('url'); ?>">
						<input type="text" class="field" name="s" id="s"  value="<?php _e('Search…', 'themejunkie') ?>" onfocus="if (this.value == '<?php _e('Search…', 'themejunkie') ?>') {this.value = '';}" onblur="if (this.value == '') {this.value = '<?php _e('Search…', 'themejunkie') ?>';}" />
						<input class="submit btn" type="image" src="<?php bloginfo('template_directory'); ?>/images/ico-search.png" value="Go" />
					</form>
				</div><!-- #search -->
				<div class="clear"></div>
			</div><!-- #primary-nav -->
							
			<div id="secondary-nav">
				<?php $menuClass = 'nav';
				$menuID = 'secondary-navigation';
				$secondaryNav = '';
				if (function_exists('wp_nav_menu')) {
					$secondaryNav = wp_nav_menu( array( 'theme_location' => 'secondary-nav', 'container' => '', 'fallback_cb' => '', 'menu_class' => $menuClass, 'menu_id' => $menuID, 'echo' => false ) );
				};
				if ($secondaryNav == '') { ?>
					<ul id="<?php echo $menuID; ?>" class="<?php echo $menuClass; ?>">
						<?php show_categories_menu($menuClass,false,false); ?>
					</ul>
				<?php }	else echo($secondaryNav); ?>
			</div><!-- #secondary-nav -->
						
			<div id="container">