//Begin!
jQuery(document).ready(function(){


/*= jQuery Superfish menu
*************************************************/
    function init_nav(){
        jQuery('ul.nav').superfish({ 
	        delay:       100,                             // one second delay on mouse out 
	        animation:   {opacity:'show',height:'show'},  // fade-in and slide-down animation 
	        speed:       'fast'                           // faster animation speed 
    	});
    }
    init_nav();
    
/*= Header Search Form
*************************************************/
    function change_search(){
        $input_node = jQuery('#header-search input[type="text"]');
        $input_node.focus(function(){
            jQuery(this).stop(true,true).animate({
                width:'175px'
            },100);
        });
        $input_node.blur(function(){
            jQuery(this).stop(true,true).animate({
                width:'155px'
            },100);
        })
    }
    change_search();	

/*= News Ticker
---------------------------------------------------------------------*/
    var newsTicker = jQuery('li.news-ticker');
    var tickerTimeId = 0;
    var currentNews = 0;
    var olderNews = 0;
    var sumNews = jQuery(newsTicker).size();

    function newsTickerInit(){
        jQuery(newsTicker).eq(0).fadeIn();
        newsTickerClick();
        tickerTimeId = setInterval(autoTicherScroll,4000);
    }
    newsTickerInit();

    function newsTickerClick(){
        jQuery(newsTicker).each(function(index){
            if(!jQuery(this).children('a').is(':hidden')){
                currentNews = index;
            }
        });
        jQuery('a.headline-previous').click(function(){
            clearInterval(tickerTimeId);
            olderNews = currentNews;
            if(currentNews == 0){
                currentNews = sumNews-1;
            }else{
                currentNews = currentNews-1;
            }
            jQuery(newsTicker).eq(olderNews).stop(true,true).fadeOut().queue(function(){
                jQuery(newsTicker).eq(currentNews).stop(true,true).fadeIn();
            });

            tickerTimeId = setInterval(autoTicherScroll,4000);
        });
        jQuery('a.headline-next').click(function(){
            clearInterval(tickerTimeId);
            olderNews = currentNews;
            if(currentNews == sumNews-1){
                currentNews = 0;
            }else{
                currentNews = currentNews+1;
            }
            jQuery(newsTicker).eq(olderNews).stop(true,true).fadeOut().queue(function(){
                jQuery(newsTicker).eq(currentNews).stop(true,true).fadeIn();
            });
            tickerTimeId = setInterval(autoTicherScroll,4000);
        });
    }

    function autoTicherScroll(){
        olderNews = currentNews;
        if(currentNews == sumNews-1){
            currentNews = 0;
        }else{
            currentNews = currentNews+1;
        }
        jQuery(newsTicker).eq(olderNews).stop(true,true).fadeOut().queue(function(){
            jQuery(newsTicker).eq(currentNews).stop(true,true).fadeIn();
        });
    }

/*= Response Layout
*************************************************/
    var isSelect = false;


    function response_layout(){
        var newWindowWidth = jQuery(window).width();
        if(newWindowWidth < 480){
            jQuery('.header-ad').hide();        
            jQuery('img').css('max-width','100%').css('height','auto');
            jQuery('#content-loop img.entry-thumb').css('max-width','80%');
            jQuery('#primary-nav').hide();
            jQuery('#secondary-nav').hide();
            jQuery('#news-ticker').hide();
            jQuery('select.select-nav').hide();
            jQuery('#sidebar').hide();
            jQuery('.footer-categories').hide();
            jQuery('#left-sidebar').hide();
            jQuery('.entry-bottom-ad').hide();
            jQuery('#featured-content').hide();
            if(!isSelect){
                response_nav();
            }else{
                jQuery('#secondary-nav').hide();
                jQuery('select.select-nav').show();
            }
        }else if(newWindowWidth < 960){
            jQuery('.header-ad').hide();                
            jQuery('img').css('max-width','100%').css('height','auto');
            jQuery('.toggle-inner').css('height','auto');
            jQuery('#secondary-nav ul.children').remove();
            jQuery('select.select-nav').hide();
            jQuery('#sidebar').hide();
            jQuery('.footer-categories').hide();
            jQuery('#left-sidebar').hide();
            jQuery('.entry-bottom-ad').hide();
            jQuery('#news-ticker').hide();
            jQuery('#secondary-nav').show();
            jQuery('#primary-nav').show();
            jQuery('#featured-content').show();
        }else{
            jQuery('img').css('max-width','').css('height','auto');
            jQuery('select.select-nav').hide();
            jQuery('#secondary-nav').show();
            jQuery('#primary-nav').show();
            jQuery('#sidebar').show();
            jQuery('.footer-categories').show();
            jQuery('#left-sidebar').show();
        }
    }
    jQuery(window).bind("resize", response_layout);
    response_layout();

    function response_nav(){
        if(!isSelect){
            jQuery('span.sf-sub-indicator').remove();

            var mainNavigate = jQuery('#secondary-nav').clone();

            var selectNav = jQuery('<select style="width: 96%; padding: 0 2%;" class="select-nav"></select>');

            jQuery(selectNav).append('<option value="" href="">All Categories</option>');

            jQuery(mainNavigate).children('ul').children('li').each(function(){

                var href = jQuery(this).children('a').attr('href');
                var text = jQuery(this).children('a').text();

                jQuery(selectNav).append('<option value="'+href+'">'+text+'</option>');


                if(jQuery(this).children('ul').length>0){
                    jQuery(this).children('ul').children('li').each(function(){

                        var href2 = jQuery(this).children('a').attr('href');
                        var text2 = jQuery(this).children('a').text();

                        jQuery(selectNav).append('<option value="'+href2+'">--'+text2+'</option>');

                    });
                }

            });

            jQuery('#secondary-nav').hide();
            jQuery(selectNav).insertAfter(jQuery('#header'));
            isSelect = true;

            jQuery(selectNav).change(function(){
                window.location.href = this.options[this.selectedIndex].value;
            });
        }
    }


//End ready!
});
