<?php get_header(); ?>
<div id="content">

	<?php if (is_paged() && get_query_var('paged') > 0) {  ?>
		<div id="breadcrumbs">
			<a href="<?php bloginfo('url'); ?>"><?php _e('Home','themejunkie') ?></a><?php printf( __( ' Page %s', 'theme junkie' ), $paged );  ?>
		</div><!-- #breadcrumbs -->
	<?php } ?>

    <?php if(!is_paged() && (get_option('resizable_featured_content_enable') == 'on')) { ?>

    <div id="featured-content">
        <div class="heading">
            <span class="heading-text"><?php _e('Featured News','themejunkie'); ?></span>
        </div> <!-- .heading -->
        <div class="featured-main">
            <ul>
                <?php
                $counter = 1;
                query_posts( array(
                    'showposts' => 1,
                    'tag' => get_option('resizable_featured_post_tags'),
                ) );
                if( have_posts() ) : while( have_posts() ) : the_post();
                    ?>
                    <li class="featured-<?php echo $counter; ?>"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_post_thumbnail('featured-thumb-large', array('class' => 'entry-thumb')); ?></a><span class="entry-date"><?php the_time('F j, Y'); ?> &middot; <?php comments_popup_link( __( '0 Comment', 'themejunkie' ), __( '1 Comment', 'themejunkie' ), __( '% Comments', 'themejunkie' ) ); ?></span><h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2></li>
                    <?php $counter++; endwhile; endif; wp_reset_query(); ?>
            </ul>
        </div><!-- .featured-main -->
        <div class="featured-aside">
            <ul>
                <?php
                $counter = 1;
                query_posts( array(
                    'showposts' => 3,
                    'offset' => 1,
                    'tag' => get_option('resizable_featured_post_tags'),
                ) );
                if( have_posts() ) : while( have_posts() ) : the_post();
                    ?>
                    <li class="featured-<?php echo $counter; ?>"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_post_thumbnail('featured-thumb-small', array('class' => 'entry-thumb')); ?></a><h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2></li>
                    <?php $counter++; endwhile; endif; wp_reset_query(); ?>
            </ul>
        </div><!-- .featured-aside -->
        <div class="clear"></div>
    </div><!-- #featued-content -->
    <?php } ?>

    <div class="clear"></div>

    <?php if(!is_paged() && (get_option('resizable_news_ticker_enable') == 'on')) { ?>
	    <div id="news-ticker">
	        <span><?php _e('Breaking News:','themejunkie'); ?></span>
	        <ul class="news">
	            <?php
	            query_posts( array(
	                'tag' => get_option('resizable_news_ticker_tags'),
	                'showposts' => get_option('resizable_news_ticker_num')
	            ));
	            if( have_posts() ) : while( have_posts() ) : the_post();
	                ?>
	                <li class="news-ticker">
	                    <a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'themejunkie' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
	                </li>
	                <?php endwhile; endif; wp_reset_query(); ?>
	        </ul>
			<span class="headline-nav">
				<a class="headline-previous" href="#previous"></a>
				<a class="headline-next" href="#next"></a>
			</span>
	        <div class="clear"></div>
	    </div><!-- #news-ticker -->
    <?php } ?>

	<?php if (get_option('resizable_left_sidebar_enable') == 'on') { ?>
	    <div id="left-sidebar">
	        <?php if ( !function_exists( 'dynamic_sidebar' ) || !dynamic_sidebar('left-sidebar') ) :?>
	        <?php endif; ?>
	    </div><!-- #left-sidebar -->
    <?php } ?>

    <div id="content-loop">
        <?php if (have_posts()) : while ( have_posts() ) : the_post() ?>
        	<?php get_template_part('includes/loop'); ?>
        <?php endwhile; wp_reset_postdata(); wp_reset_query(); ?>
        <div class="clear"></div>
        <?php if (function_exists('wp_pagenavi')) wp_pagenavi(); else { ?>
            <div class="pagination">
                <div class="left"><?php previous_posts_link(__('Newer Entries', 'themejunkie')) ?></div>
                <div class="right"><?php next_posts_link(__('Older Entries', 'themejunkie')) ?></div>
                <div class="clear"></div>
            </div><!-- .pagination -->
            <?php } ?>
        <?php else : ?>
        <?php endif; ?>
    </div><!-- #content-loop -->

    <div class="clear"></div>

</div><!-- #content -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
